Bug 15281 - Avoid relying on C89 features in a few places
Summary: Avoid relying on C89 features in a few places
Status: RESOLVED FIXED
Alias: None
Product: Samba 4.1 and newer
Classification: Unclassified
Component: Build (show other bugs)
Version: 4.17.0
Hardware: All All
: P5 normal (vote)
Target Milestone: ---
Assignee: Jule Anger
QA Contact: Samba QA Contact
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2023-01-09 08:28 UTC by Andreas Schneider
Modified: 2023-01-26 17:52 UTC (History)
2 users (show)

See Also:


Attachments
patch for 4.17 (5.30 KB, patch)
2023-01-09 12:36 UTC, Andreas Schneider
jra: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Andreas Schneider 2023-01-09 08:28:45 UTC
Avoid relying on C89 features in a few places.

Patch will follow.
Comment 1 Samba QA Contact 2023-01-09 11:47:04 UTC
This bug was referenced in samba master:

75db84b1e59a42737343445c43c41494460c89f0
d0ee9d5a43072ecbd37327f5dc936c546f97ba34
7779050a6765a37cc0c6438309e512782220dcb3
Comment 2 Andreas Schneider 2023-01-09 12:36:44 UTC
Created attachment 17721 [details]
patch for 4.17
Comment 3 Jeremy Allison 2023-01-09 20:02:14 UTC
Re-assigning to Jule for inclusion in 4.17.next.
Comment 4 Jule Anger 2023-01-13 09:25:25 UTC
Pushed to autobuild-v4-17-test.
Comment 5 Samba QA Contact 2023-01-13 11:57:43 UTC
This bug was referenced in samba v4-17-test:

409dd9b20ea4995c4b7848c83c001074d7557b03
fab96048ba53e01eff63d060f544bf97944ab8f8
69f6517f93b59cdd447751b1ac9f293d1342655e
Comment 6 Jule Anger 2023-01-13 12:14:56 UTC
Closing out bug report.

Thanks!
Comment 7 Samba QA Contact 2023-01-26 17:52:38 UTC
This bug was referenced in samba v4-17-stable (Release samba-4.17.5):

409dd9b20ea4995c4b7848c83c001074d7557b03
fab96048ba53e01eff63d060f544bf97944ab8f8
69f6517f93b59cdd447751b1ac9f293d1342655e